IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fc5d::/16- First address
fc5d::- Last address
fc5d:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fc5d:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
d.5.c.f.ip6.arpa
Split into smaller subnets
fc5d::/16 makes 4,096 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc5d::/28 | fc5d:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc5d:10::/28 | fc5d:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc5d:20::/28 | fc5d:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc5d:30::/28 | fc5d:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc5d:40::/28 | fc5d:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc5d:50::/28 | fc5d:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc5d:60::/28 | fc5d:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc5d:70::/28 | fc5d:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc5d:80::/28 | fc5d:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc5d:90::/28 | fc5d:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc5d:a0::/28 | fc5d:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc5d:b0::/28 | fc5d:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc5d:c0::/28 | fc5d:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc5d:d0::/28 | fc5d:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc5d:e0::/28 | fc5d:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc5d:f0::/28 | fc5d:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc5d:100::/28 | fc5d:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc5d:110::/28 | fc5d:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc5d:120::/28 | fc5d:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc5d:130::/28 | fc5d:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc5d:140::/28 | fc5d:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc5d:150::/28 | fc5d:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc5d:160::/28 | fc5d:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc5d:170::/28 | fc5d:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc5d:180::/28 | fc5d:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc5d:190::/28 | fc5d:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc5d:1a0::/28 | fc5d:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc5d:1b0::/28 | fc5d:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc5d:1c0::/28 | fc5d:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc5d:1d0::/28 | fc5d:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc5d:1e0::/28 | fc5d:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc5d:1f0::/28 | fc5d:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc5d:200::/28 | fc5d:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc5d:210::/28 | fc5d:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc5d:220::/28 | fc5d:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc5d:230::/28 | fc5d:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc5d:240::/28 | fc5d:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc5d:250::/28 | fc5d:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc5d:260::/28 | fc5d:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc5d:270::/28 | fc5d:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc5d:280::/28 | fc5d:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc5d:290::/28 | fc5d:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc5d:2a0::/28 | fc5d:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc5d:2b0::/28 | fc5d:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc5d:2c0::/28 | fc5d:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc5d:2d0::/28 | fc5d:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc5d:2e0::/28 | fc5d:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc5d:2f0::/28 | fc5d:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc5d:300::/28 | fc5d:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc5d:310::/28 | fc5d:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc5d:320::/28 | fc5d:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc5d:330::/28 | fc5d:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc5d:340::/28 | fc5d:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc5d:350::/28 | fc5d:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc5d:360::/28 | fc5d:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc5d:370::/28 | fc5d:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc5d:380::/28 | fc5d:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc5d:390::/28 | fc5d:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc5d:3a0::/28 | fc5d:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc5d:3b0::/28 | fc5d:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc5d:3c0::/28 | fc5d:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc5d:3d0::/28 | fc5d:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc5d:3e0::/28 | fc5d:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc5d:3f0::/28 | fc5d:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc5d:400::/28 | fc5d:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc5d:410::/28 | fc5d:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc5d:420::/28 | fc5d:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc5d:430::/28 | fc5d:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc5d:440::/28 | fc5d:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc5d:450::/28 | fc5d:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc5d:460::/28 | fc5d:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc5d:470::/28 | fc5d:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc5d:480::/28 | fc5d:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc5d:490::/28 | fc5d:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc5d:4a0::/28 | fc5d:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc5d:4b0::/28 | fc5d:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc5d:4c0::/28 | fc5d:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc5d:4d0::/28 | fc5d:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc5d:4e0::/28 | fc5d:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc5d:4f0::/28 | fc5d:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc5d:500::/28 | fc5d:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc5d:510::/28 | fc5d:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc5d:520::/28 | fc5d:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc5d:530::/28 | fc5d:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc5d:540::/28 | fc5d:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc5d:550::/28 | fc5d:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc5d:560::/28 | fc5d:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc5d:570::/28 | fc5d:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc5d:580::/28 | fc5d:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc5d:590::/28 | fc5d:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc5d:5a0::/28 | fc5d:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc5d:5b0::/28 | fc5d:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc5d:5c0::/28 | fc5d:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc5d:5d0::/28 | fc5d:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc5d:5e0::/28 | fc5d:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc5d:5f0::/28 | fc5d:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc5d:600::/28 | fc5d:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc5d:610::/28 | fc5d:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc5d:620::/28 | fc5d:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc5d:630::/28 | fc5d:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc5d:640::/28 | fc5d:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc5d:650::/28 | fc5d:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc5d:660::/28 | fc5d:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc5d:670::/28 | fc5d:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc5d:680::/28 | fc5d:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc5d:690::/28 | fc5d:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc5d:6a0::/28 | fc5d:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc5d:6b0::/28 | fc5d:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc5d:6c0::/28 | fc5d:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc5d:6d0::/28 | fc5d:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc5d:6e0::/28 | fc5d:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc5d:6f0::/28 | fc5d:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc5d:700::/28 | fc5d:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc5d:710::/28 | fc5d:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc5d:720::/28 | fc5d:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc5d:730::/28 | fc5d:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc5d:740::/28 | fc5d:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc5d:750::/28 | fc5d:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc5d:760::/28 | fc5d:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc5d:770::/28 | fc5d:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc5d:780::/28 | fc5d:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc5d:790::/28 | fc5d:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc5d:7a0::/28 | fc5d:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc5d:7b0::/28 | fc5d:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc5d:7c0::/28 | fc5d:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc5d:7d0::/28 | fc5d:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc5d:7e0::/28 | fc5d:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc5d:7f0::/28 | fc5d:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc5d:800::/28 | fc5d:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc5d:810::/28 | fc5d:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc5d:820::/28 | fc5d:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc5d:830::/28 | fc5d:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc5d:840::/28 | fc5d:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc5d:850::/28 | fc5d:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc5d:860::/28 | fc5d:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc5d:870::/28 | fc5d:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc5d:880::/28 | fc5d:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc5d:890::/28 | fc5d:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc5d:8a0::/28 | fc5d:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc5d:8b0::/28 | fc5d:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc5d:8c0::/28 | fc5d:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc5d:8d0::/28 | fc5d:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc5d:8e0::/28 | fc5d:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc5d:8f0::/28 | fc5d:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc5d:900::/28 | fc5d:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc5d:910::/28 | fc5d:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc5d:920::/28 | fc5d:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc5d:930::/28 | fc5d:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc5d:940::/28 | fc5d:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc5d:950::/28 | fc5d:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc5d:960::/28 | fc5d:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc5d:970::/28 | fc5d:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc5d:980::/28 | fc5d:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc5d:990::/28 | fc5d:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc5d:9a0::/28 | fc5d:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc5d:9b0::/28 | fc5d:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc5d:9c0::/28 | fc5d:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc5d:9d0::/28 | fc5d:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc5d:9e0::/28 | fc5d:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc5d:9f0::/28 | fc5d:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc5d:a00::/28 | fc5d:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc5d:a10::/28 | fc5d:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc5d:a20::/28 | fc5d:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc5d:a30::/28 | fc5d:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc5d:a40::/28 | fc5d:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc5d:a50::/28 | fc5d:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc5d:a60::/28 | fc5d:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc5d:a70::/28 | fc5d:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc5d:a80::/28 | fc5d:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc5d:a90::/28 | fc5d:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc5d:aa0::/28 | fc5d:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc5d:ab0::/28 | fc5d:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc5d:ac0::/28 | fc5d:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc5d:ad0::/28 | fc5d:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc5d:ae0::/28 | fc5d:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc5d:af0::/28 | fc5d:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc5d:b00::/28 | fc5d:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc5d:b10::/28 | fc5d:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc5d:b20::/28 | fc5d:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc5d:b30::/28 | fc5d:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc5d:b40::/28 | fc5d:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc5d:b50::/28 | fc5d:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc5d:b60::/28 | fc5d:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc5d:b70::/28 | fc5d:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc5d:b80::/28 | fc5d:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc5d:b90::/28 | fc5d:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc5d:ba0::/28 | fc5d:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc5d:bb0::/28 | fc5d:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc5d:bc0::/28 | fc5d:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc5d:bd0::/28 | fc5d:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc5d:be0::/28 | fc5d:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc5d:bf0::/28 | fc5d:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc5d:c00::/28 | fc5d:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc5d:c10::/28 | fc5d:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc5d:c20::/28 | fc5d:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc5d:c30::/28 | fc5d:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc5d:c40::/28 | fc5d:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc5d:c50::/28 | fc5d:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc5d:c60::/28 | fc5d:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc5d:c70::/28 | fc5d:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc5d:c80::/28 | fc5d:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc5d:c90::/28 | fc5d:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc5d:ca0::/28 | fc5d:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc5d:cb0::/28 | fc5d:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc5d:cc0::/28 | fc5d:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc5d:cd0::/28 | fc5d:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc5d:ce0::/28 | fc5d:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc5d:cf0::/28 | fc5d:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc5d:d00::/28 | fc5d:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc5d:d10::/28 | fc5d:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc5d:d20::/28 | fc5d:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc5d:d30::/28 | fc5d:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc5d:d40::/28 | fc5d:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc5d:d50::/28 | fc5d:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc5d:d60::/28 | fc5d:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc5d:d70::/28 | fc5d:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc5d:d80::/28 | fc5d:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc5d:d90::/28 | fc5d:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc5d:da0::/28 | fc5d:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc5d:db0::/28 | fc5d:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc5d:dc0::/28 | fc5d:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc5d:dd0::/28 | fc5d:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc5d:de0::/28 | fc5d:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc5d:df0::/28 | fc5d:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc5d:e00::/28 | fc5d:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc5d:e10::/28 | fc5d:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc5d:e20::/28 | fc5d:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc5d:e30::/28 | fc5d:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc5d:e40::/28 | fc5d:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc5d:e50::/28 | fc5d:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc5d:e60::/28 | fc5d:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc5d:e70::/28 | fc5d:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc5d:e80::/28 | fc5d:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc5d:e90::/28 | fc5d:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc5d:ea0::/28 | fc5d:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc5d:eb0::/28 | fc5d:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc5d:ec0::/28 | fc5d:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc5d:ed0::/28 | fc5d:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc5d:ee0::/28 | fc5d:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc5d:ef0::/28 | fc5d:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc5d:f00::/28 | fc5d:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc5d:f10::/28 | fc5d:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc5d:f20::/28 | fc5d:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc5d:f30::/28 | fc5d:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc5d:f40::/28 | fc5d:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc5d:f50::/28 | fc5d:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc5d:f60::/28 | fc5d:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc5d:f70::/28 | fc5d:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc5d:f80::/28 | fc5d:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc5d:f90::/28 | fc5d:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc5d:fa0::/28 | fc5d:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc5d:fb0::/28 | fc5d:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc5d:fc0::/28 | fc5d:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc5d:fd0::/28 | fc5d:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc5d:fe0::/28 | fc5d:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc5d:ff0::/28 | fc5d:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |